/* The starter JavaScript */

/*jslint browser:true */
/*jslint devel:true */

var partingBorderColor = 'green';
function changePartingBorderColor() {
    'use strict';
    var partingElement = document.getElementById('parting');
    /* This is an example of selection */
    if (partingBorderColor === 'green') {
        partingBorderColor = 'purple';
    } else {
        partingBorderColor = 'green';
    }
    partingElement.style.borderColor = partingBorderColor;
}

function changePartingQuote() {
    'use strict';
    var partingElement = document.getElementById('parting');
    partingElement.innerHTML = 'To be, or not to be: that is the question';
}

function yellowQuotes(mouseOver) {
    'use strict';
    var i, quoteElements, rowColor, quoteCount, blueVal, blueStr;
    /* alert('alternating'); */
    quoteElements = document.getElementsByClassName('quote');
    quoteCount = quoteElements.length;
    i = 0;
    /* This is an example of iteration */
    while (i < quoteCount) {
        if (mouseOver) {
            /* This is a magic formula */
            blueVal = 255 - Math.floor((i * 255) / (quoteCount - 1));
            if (blueVal < 10) {
                blueStr = '0' + (blueVal).toString(16);
            } else {
                blueStr = (blueVal).toString(16);
            }
            rowColor = '#FFFF' + blueStr;
            /* alert(rowColor); */
        } else {
            rowColor = 'white';
        }
        quoteElements[i].style.backgroundColor = rowColor;
        i = i + 1;
    }
}

function startup() {
    'use strict';
    var partingElement, quoteHeaderElement;
    /* Will call changePartingBorderColor every three seconds */
    setInterval(changePartingBorderColor, 3000);
    /* Will call alternatingQuotes on mouse enter and exit of 'quotes' */
    quoteHeaderElement = document.getElementById('quotes');
    quoteHeaderElement.onmouseover = function () {
        yellowQuotes(true);
    };
    quoteHeaderElement.onmouseout = function () {
        yellowQuotes(false);
    };
}

window.onload = startup;
